Unserializes a storage from its string representation

- « SplObjectStorage::setInfo

- SplObjectStorage::valid »

- PHP Manual
- SplObjectStorage
- Unserializes a storage from its string representation

# SplObjectStorage::unserialize

(PHP 5 >= 5.2.2, PHP 7, PHP 8)

SplObjectStorage::unserialize — Unserializes a storage from its string representation

### Description

public SplObjectStorage::unserialize(string `$data`): void

Unserializes storage entries and attach them to the current storage.

### Parameters

`data`

  The serialized representation of a storage.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::unserialize() example

    <?php$s1 = new SplObjectStorage;$s2 = new SplObjectStorage;$o = new stdClass;$s1[$o] = "data";$s2->unserialize($s1->serialize());var_dump(count($s2));?>

The above example will output something similar to:

    int(1)

### See Also

- SplObjectStorage::serialize() - Serializes the storage